===================================================
BinkleyTerm-ST 2.40L and 2.40LT - 27th January 1991
===================================================

------------
Introduction
------------

Much of this is concerned with adding more of the features from the HS
version and correcting little bugs that were caused by the previous
version.  Also the mailer help screen has been updated at long last.
Unless stated otherwise modifications are by Steven Green.

There are two versions of BinkleyTerm-ST available:
  2.40L  compiled with Lattice C 5 by Steven Green at 2:252/25
  2.40LT compiled with Turbo-C by Enno Borgsteede at 2:281/202.7

Both versions are compiled from the same source code, but the Turbo-C
version tends to use a little less memory.

Bugs should be reported by NetMail to Steven Green at 2:252/25 or as a
public message in the BINKLEY.ST echo.

If you have only received this update then the full archive including all
the documentation and example configuration files is FREQable from 2:252/25
using the name "BTST" at all speeds up to 9600 V32 and 14400 HST.

------------------------
Changes for this version
------------------------

1.  Turbo-C version Exec's programs instead of using the system() command,
    thus you can now use Alt-E to call up your editor and make use of the
    shell commands without needing a decent CLI/Shell program.  This mod
    was done by Enno Borgsteede.  A future version will probably have this
    selectable depending on the file extension of the shell command or by
    use of a configuration line in binkley.cfg.                       [Enno]

2.  The code to parse the node addresses from binkley.cfg has been modified.
    It should now work properly with both domain and point setups.    [Enno]
    
3.  Intro message now includes compilation date as well as version and free
    memory.

4.  ALT-O forces the outbound directories to be reread.  Could be useful
    if you are multi-tasking or using a Local Area Network (LAN)
   
5.  Screenblanking has been changed slightly concerning when to blank and
    unblank.

6.  A few changes to the Alt-S and Alt-G code.  Mostly fixing up little
    bugs introduced in 2.40K.  Comment lines are not added to the FLO files.

7.  A few things to do with V42 modems... there is a longer delay after ATZ
    before expecting OK to make screenblanking work again.  The '/none'
    string is recognised preventing it from using small block lengths.

8.  Incomming REQ's are not renamed by Zmodem or Janus if they already exist.
    Previously this would have meant that you could get someonelse's file
    request instead of your own!

9.  When outgoing file requests are disabled, but you are being called by
    that system then BinkleyTerm will try to send the *.REQ anyway.

10. File requests will be done without having to have a ?lo file like it
    used to do in older versions of BT.   

11. I removed the fix from last version concerning "Nobody answered the
    door", as I was finding that all it did for me was to waste more time
    when there really was something wrong with the called system but it
    had answered (e.g. they av etheir modem set to auto-answer even when
    the computer has crashed or is busy).

12. Incomming calls which generate garbage after the CONNECT message will
    have less chance of accidently starting a false FTS-0001 session.

13. The Language file has been updated to include all the key presses on
    the help screen.  Included with this release should be an ENGLISH.TXT
    BINKLEY.LNG and BTLNG.TTP.  If you are English speaking then simply copy
    BINKLEY.LNG into your BT directory.  Otherwise you will have to adjust
    your existing .TXT file and run it through BTLNG.  Old versions of the
    language file may still work but is not guaranteed.
   
    If anyone who has done foreign versions will send the .TXT files to me, I
    can then include them in the archives and also update them if the format
    is changed.

14. A small bug with a message when zooming an empty outbound window has been
    fixed by adding an extra message to the language file.

15. Elimination of a bug with pop-up windows which would cause bombs when using
    50 line screens.

- STeVeN.
